#include "canvas/BackGroundColors.hpp"

Color BackGroundColors::backGroundColor;
Color BackGroundColors::moonColor;
Color BackGroundColors::backMountenColor;
Color BackGroundColors::frontMountenColor;

void BackGroundColors::setColor(ColorSet color)
{
  switch (color)
  {
  case ColorSet::night:
    backGroundColor = {21, 34, 56, 255};
    moonColor = {240, 240, 190, 255};
    backMountenColor = {28, 28, 38, 255};
    frontMountenColor = {0, 0, 0, 255};
    break;
  case ColorSet::day1:
    backGroundColor = {21, 34, 56, 255};
    moonColor = {240, 240, 190, 255};
    backMountenColor = {28, 28, 38, 255};
    frontMountenColor = {0, 0, 0, 255};
    break;
  case ColorSet::day2:
    backGroundColor = {21, 34, 56, 255};
    moonColor = {240, 240, 190, 255};
    backMountenColor = {28, 28, 38, 255};
    frontMountenColor = {0, 0, 0, 255};
    break;
  case ColorSet::day3:
    backGroundColor = {21, 34, 56, 255};
    moonColor = {240, 240, 190, 255};
    backMountenColor = {28, 28, 38, 255};
    frontMountenColor = {0, 0, 0, 255};
    break;
  }
}
